<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_hybrid_bd2_solver Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">cfd_hybrid_bd2_solver Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a8d7407f3b4c35087e565b3868363e93e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#a8d7407f3b4c35087e565b3868363e93e">cfd_hybrid_bd2_init</a> (cfd)</td></tr>
<tr class="separator:a8d7407f3b4c35087e565b3868363e93e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c596ba421c8dd4fafa9690f5e69d90b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b">cfd_hybrid_bd2_step_orig</a> (cfd)</td></tr>
<tr class="separator:a1c596ba421c8dd4fafa9690f5e69d90b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a928272bb28a6ca7d967568eaba49508b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b">cfd_hybrid_bd2_step</a> (cfd)</td></tr>
<tr class="separator:a928272bb28a6ca7d967568eaba49508b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c3950bbc20cd1ab96be957d93c9cd7d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d">cfd_hybrid_bd2_primary_step_orig</a> (cfd)</td></tr>
<tr class="separator:a8c3950bbc20cd1ab96be957d93c9cd7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a130b54d926c5d8c398f31b265da5cbca"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca">cfd_hybrid_bd2_primary_step</a> (cfd)</td></tr>
<tr class="separator:a130b54d926c5d8c398f31b265da5cbca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa35645ce729243ae623b8b520fd48d1e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#aa35645ce729243ae623b8b520fd48d1e">cfd_hybrid_bd2_scalar_step</a> (cfd)</td></tr>
<tr class="separator:aa35645ce729243ae623b8b520fd48d1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadb9bfa839af0c0980bb585b2588680c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#aadb9bfa839af0c0980bb585b2588680c">cfd_hybrid_bd2_update_mid_bc</a> (cfd)</td></tr>
<tr class="separator:aadb9bfa839af0c0980bb585b2588680c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a793201ccc9574f53b918146c92e9265e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#a793201ccc9574f53b918146c92e9265e">bd2_update_rho_fa_cd</a> (cfd)</td></tr>
<tr class="separator:a793201ccc9574f53b918146c92e9265e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfbc525b0079d4145a2167975bd67f0a"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__hybrid__bd2__solver.html#adfbc525b0079d4145a2167975bd67f0a">bd2_update_boundary_rho</a> (cfd)</td></tr>
<tr class="separator:adfbc525b0079d4145a2167975bd67f0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="adfbc525b0079d4145a2167975bd67f0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfbc525b0079d4145a2167975bd67f0a">&#9670;&nbsp;</a></span>bd2_update_boundary_rho()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cfd_hybrid_bd2_solver::bd2_update_boundary_rho </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_adfbc525b0079d4145a2167975bd67f0a_icgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_adfbc525b0079d4145a2167975bd67f0a_icgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_adfbc525b0079d4145a2167975bd67f0a_icgraph" id="namespacecfd__hybrid__bd2__solver_adfbc525b0079d4145a2167975bd67f0a_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="252,5,420,61"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="236,86,436,127"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="484,53,663,94"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="497,118,649,159"/>
</map>
</div>

</div>
</div>
<a id="a793201ccc9574f53b918146c92e9265e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a793201ccc9574f53b918146c92e9265e">&#9670;&nbsp;</a></span>bd2_update_rho_fa_cd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cfd_hybrid_bd2_solver::bd2_update_rho_fa_cd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_a793201ccc9574f53b918146c92e9265e_icgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_a793201ccc9574f53b918146c92e9265e_icgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_a793201ccc9574f53b918146c92e9265e_icgraph" id="namespacecfd__hybrid__bd2__solver_a793201ccc9574f53b918146c92e9265e_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__bd2__solver.html#a8c3950bbc20cd1ab96be957d93c9cd7d" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary\l_step_orig" alt="" coords="231,5,399,61"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="215,86,415,127"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="463,53,641,94"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="476,118,628,159"/>
</map>
</div>

</div>
</div>
<a id="a8d7407f3b4c35087e565b3868363e93e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d7407f3b4c35087e565b3868363e93e">&#9670;&nbsp;</a></span>cfd_hybrid_bd2_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_hybrid_bd2_solver::cfd_hybrid_bd2_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceblock__implicit__func.html#aa2f5f525b5512104f86fa2187f7feb65">block_implicit_func::block_implicit_init()</a>, <a class="el" href="namespacecfd__hybrid__solver.html#aac57d5ee4677c5f90e78700fcc236a17">cfd_hybrid_solver::cfd_hybrid_init()</a>, and <a class="el" href="namespacecfd__gmg__func.html#a2baa6d762ba862e3ffb4ea82dd8f9cbd">cfd_gmg_func::gmg_allocate_matrix()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_a8d7407f3b4c35087e565b3868363e93e_cgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_a8d7407f3b4c35087e565b3868363e93e_cgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_a8d7407f3b4c35087e565b3868363e93e_cgraph" id="namespacecfd__hybrid__bd2__solver_a8d7407f3b4c35087e565b3868363e93e_cgraph">
<area shape="rect" id="node2" href="namespaceblock__implicit__func.html#aa2f5f525b5512104f86fa2187f7feb65" title="block_implicit_func\l::block_implicit_init" alt="" coords="233,5,367,47"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__solver.html#aac57d5ee4677c5f90e78700fcc236a17" title="cfd_hybrid_solver::\lcfd_hybrid_init" alt="" coords="234,71,366,112"/>
<area shape="rect" id="node5" href="namespacecfd__gmg__func.html#a2baa6d762ba862e3ffb4ea82dd8f9cbd" title="cfd_gmg_func::gmg_allocate\l_matrix" alt="" coords="205,136,395,177"/>
<area shape="rect" id="node4" href="namespacefixed__matrix__vector__m.html#a1f006185dd8715dfcb200ce8323fb9ea" title="fixed_matrix_vector\l_m::get_dim_fmatrix" alt="" coords="443,71,584,112"/>
</map>
</div>

</div>
</div>
<a id="a130b54d926c5d8c398f31b265da5cbca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a130b54d926c5d8c398f31b265da5cbca">&#9670;&nbsp;</a></span>cfd_hybrid_bd2_primary_step()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cfd_hybrid_bd2_solver::cfd_hybrid_bd2_primary_step </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceblock__implicit__func.html#a67c312a91b20e72c26f7dc172eeffc96">block_implicit_func::allocate_work_block_implicit()</a>, <a class="el" href="namespacecfd__hybrid__bd2__solver.html#adfbc525b0079d4145a2167975bd67f0a">bd2_update_boundary_rho()</a>, <a class="el" href="namespacecfd__hybrid__bd2__solver.html#a793201ccc9574f53b918146c92e9265e">bd2_update_rho_fa_cd()</a>, <a class="el" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079">cfd_hybrid_solver_implicit::cfd_hybrid_solve_implicit_c()</a>, <a class="el" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159">block_implicit_func::deallocate_work_block_implicit()</a>, <a class="el" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba">get_buffers()</a>, <a class="el" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21">cfd_gmg_func::gmg_build_matrix()</a>, and <a class="el" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99">return_buffers()</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_a130b54d926c5d8c398f31b265da5cbca_cgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_a130b54d926c5d8c398f31b265da5cbca_cgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_a130b54d926c5d8c398f31b265da5cbca_cgraph" id="namespacecfd__hybrid__bd2__solver_a130b54d926c5d8c398f31b265da5cbca_cgraph">
<area shape="rect" id="node2" href="namespaceblock__implicit__func.html#a67c312a91b20e72c26f7dc172eeffc96" title="block_implicit_func\l::allocate_work_block\l_implicit" alt="" coords="275,249,423,305"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__bd2__solver.html#adfbc525b0079d4145a2167975bd67f0a" title="cfd_hybrid_bd2_solver\l::bd2_update_boundary_rho" alt="" coords="257,383,440,425"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#a793201ccc9574f53b918146c92e9265e" title="cfd_hybrid_bd2_solver\l::bd2_update_rho_fa_cd" alt="" coords="268,449,429,490"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="253,514,444,555"/>
<area shape="rect" id="node35" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159" title="block_implicit_func\l::deallocate_work_block\l_implicit" alt="" coords="267,580,430,636"/>
<area shape="rect" id="node37" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba" title="get_buffers" alt="" coords="305,660,392,687"/>
<area shape="rect" id="node38" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="263,874,434,915"/>
<area shape="rect" id="node49" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99" title="return_buffers" alt="" coords="297,940,400,967"/>
<area shape="rect" id="node3" href="namespacelink__work__block__implicit.html#a7bee1eb6fd59f7e68a06cd1ffc129081" title="link_work_block_implicit\l::link_work_block_implicit_to" alt="" coords="492,202,681,243"/>
<area shape="rect" id="node7" href="cfd__hybrid__solver__implicit_8f90.html#a171b2346b19e4458e60c79402c1cd5d8" title="init_gs" alt="" coords="557,572,617,599"/>
<area shape="rect" id="node8" href="cfd__hybrid__solver__implicit_8f90.html#affde5b65261c64a760751d39526b3fb4" title="solve_line_x" alt="" coords="539,673,634,700"/>
<area shape="rect" id="node13" href="cfd__hybrid__solver__implicit_8f90.html#a39086407b06925b1e730666577958f19" title="solve_line_y" alt="" coords="539,319,634,345"/>
<area shape="rect" id="node15" href="cfd__hybrid__solver__implicit_8f90.html#aa91da7e13abe6d27440e776c699cf674" title="solve_line_z" alt="" coords="539,420,634,447"/>
<area shape="rect" id="node17" href="cfd__hybrid__solver__implicit_8f90.html#ad817b72e81de173ef7827c34c56863ae" title="gs_line_x" alt="" coords="548,623,625,649"/>
<area shape="rect" id="node18" href="cfd__hybrid__solver__implicit_8f90.html#ad2c743506d005cdc17adadae5d47eff5" title="gs_line_y" alt="" coords="548,268,625,295"/>
<area shape="rect" id="node19" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="548,369,625,396"/>
<area shape="rect" id="node33" href="cfd__hybrid__solver__implicit_8f90.html#a5cb302d3c4bd1d29048a84bf7b5998c7" title="check_drho" alt="" coords="542,471,631,497"/>
<area shape="rect" id="node34" href="cfd__hybrid__solver__implicit_8f90.html#af8a3342955b3173937e9baf5e9e37a1e" title="destroy_gs" alt="" coords="543,521,630,548"/>
<area shape="rect" id="node9" href="cfd__hybrid__solver__implicit_8f90.html#a2e0c27b54f44ce02003e09b5aa4c8654" title="line_bsolve_serial_x" alt="" coords="753,547,892,573"/>
<area shape="rect" id="node10" href="namespaceblock__pentadiagonal__m.html#ad815079047a1e13dcb2030d92e1f6ef6" title="block_pentadiagonal\l_m::block_pentadiagonal\l_serial_vs" alt="" coords="964,405,1131,461"/>
<area shape="rect" id="node11" href="namespaceblock__polydiagonal__m.html#ad5742b360a172a2f2d02357c5ea519a0" title="block_polydiagonal\l_m::block_polydiagonal\l_serial_vs" alt="" coords="968,325,1127,381"/>
<area shape="rect" id="node12" href="namespaceblock__tridiagonal__m.html#ab941c7fef888b52d52f80f53a67da6ca" title="block_tridiagonal_m\l::block_tridiagonal\l_serial_vs" alt="" coords="979,485,1116,541"/>
<area shape="rect" id="node14" href="cfd__hybrid__solver__implicit_8f90.html#a918e6759fc23ccf7c94c1300a97990c2" title="line_bsolve_serial_y" alt="" coords="753,293,892,320"/>
<area shape="rect" id="node16" href="cfd__hybrid__solver__implicit_8f90.html#abc041eda05ca2981ed395fdc3df795c7" title="line_bsolve_serial_z" alt="" coords="753,445,892,472"/>
<area shape="rect" id="node20" href="namespaceblock__pentadiagonal__m.html#aa8286a7f1716f038368a07fc7861d7b3" title="block_pentadiagonal\l_m::block_pentadiagonal_vs" alt="" coords="729,227,916,269"/>
<area shape="rect" id="node26" href="namespaceblock__polydiagonal__m.html#af315d4358c37b09d60df0a87a0d82a33" title="block_polydiagonal\l_m::block_polydiagonal_vs" alt="" coords="733,162,912,203"/>
<area shape="rect" id="node28" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8" title="block_tridiagonal_m\l::block_tridiagonal_vs" alt="" coords="749,598,897,639"/>
<area shape="rect" id="node21" href="namespaceblock__pentadiagonal__m.html#a81b86cd61a47d1eda056e526698717c4" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vs" alt="" coords="964,245,1131,301"/>
<area shape="rect" id="node24" href="namespaceblock__polydiagonal__m.html#af9ebc00957750052c43f1b4186e37ca6" title="block_polydiagonal\l_m::block_polydiagonal\l_periodic_serial_vv" alt="" coords="968,85,1127,141"/>
<area shape="rect" id="node25" href="namespaceblock__polydiagonal__m.html#aeebe8432f75116e1952dda55b6f41404" title="block_polydiagonal\l_m::block_polydiagonal\l_serial_vv" alt="" coords="968,165,1127,221"/>
<area shape="rect" id="node22" href="block__tridiagonal__m_8f90.html#a466488e7ecab71ae68df7d8f255e1a66" title="i_block_tridiagonal\l_periodic_serial_vs" alt="" coords="1179,377,1312,418"/>
<area shape="rect" id="node23" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72" title="block_tridiagonal_m\l::block_tridiagonal\l_periodic_serial_vs" alt="" coords="1360,453,1497,509"/>
<area shape="rect" id="node27" href="namespaceblock__polydiagonal__m.html#af50b88361e312e37f21b20990edf69d2" title="block_polydiagonal\l_m::block_polydiagonal\l_periodic_serial_vs" alt="" coords="968,5,1127,61"/>
<area shape="rect" id="node29" href="namespaceblock__pentadiagonal__m.html#a8357a989c5be6d85f893a628f5c8d4ff" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vv" alt="" coords="964,616,1131,672"/>
<area shape="rect" id="node32" href="namespaceblock__pentadiagonal__m.html#a78b8db770ad28fe54e5fdfbe76b54df6" title="block_pentadiagonal\l_m::block_pentadiagonal\l_serial_vv" alt="" coords="964,696,1131,752"/>
<area shape="rect" id="node30" href="block__tridiagonal__m_8f90.html#a1c9d79965331f09de7f6926ae1ef27b0" title="i_block_tridiagonal\l_periodic_serial_vv" alt="" coords="1179,623,1312,665"/>
<area shape="rect" id="node31" href="namespaceblock__tridiagonal__m.html#a3077b32065f859e21c80d8f3a091f6d0" title="block_tridiagonal_m\l::block_tridiagonal\l_periodic_serial_vv" alt="" coords="1360,616,1497,672"/>
<area shape="rect" id="node36" href="namespacelink__work__block__implicit.html#aa879799faf89c8a8864d92dbccbad104" title="link_work_block_implicit\l::unlink_work_block_implicit" alt="" coords="494,725,679,766"/>
<area shape="rect" id="node39" href="cfd__gmg__func_8f90.html#a2f86d9745977d29f04aad43aaa0b8430" title="build_for_others" alt="" coords="529,957,644,984"/>
<area shape="rect" id="node41" href="cfd__gmg__func_8f90.html#a2ca955e2f1e1a11e6c18903187a8af2b" title="build_for_rho" alt="" coords="539,1008,635,1035"/>
<area shape="rect" id="node42" href="cfd__gmg__func_8f90.html#aa7ebaeaa1f05e4ca63c8e36033996c82" title="enforce_neumann_implicit" alt="" coords="500,1059,673,1085"/>
<area shape="rect" id="node43" href="namespacecfd__gmg__func.html#a72f8f8ba3360ffa1ff2e6fc541efb4ad" title="cfd_gmg_func::gmg_upwind\l_weight" alt="" coords="494,790,679,831"/>
<area shape="rect" id="node45" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="539,856,635,883"/>
<area shape="rect" id="node47" href="cfd__gmg__func_8f90.html#a090278fcfa3fdab41067a3b76883f312" title="rhs_for_all" alt="" coords="545,907,628,933"/>
<area shape="rect" id="node40" href="cfd__gmg__func_8f90.html#af20c6dfa2ef418e1673e86d1c74f9528" title="build_conv_coeff" alt="" coords="763,961,883,988"/>
<area shape="rect" id="node44" href="cfd__gmg__func_8f90.html#a67ca981526267c943654f1aea1e5dc42" title="upwind_weight_min" alt="" coords="755,793,891,820"/>
<area shape="rect" id="node46" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="757,845,888,886"/>
<area shape="rect" id="node48" href="cfd__gmg__func_8f90.html#a3c10a403fd43c54521d59917f8e42d96" title="rhs_x_from_conv_diff" alt="" coords="749,911,896,937"/>
</map>
</div>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_a130b54d926c5d8c398f31b265da5cbca_icgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_a130b54d926c5d8c398f31b265da5cbca_icgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_a130b54d926c5d8c398f31b265da5cbca_icgraph" id="namespacecfd__hybrid__bd2__solver_a130b54d926c5d8c398f31b265da5cbca_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="253,5,432,47"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="267,71,419,112"/>
</map>
</div>

</div>
</div>
<a id="a8c3950bbc20cd1ab96be957d93c9cd7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c3950bbc20cd1ab96be957d93c9cd7d">&#9670;&nbsp;</a></span>cfd_hybrid_bd2_primary_step_orig()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cfd_hybrid_bd2_solver::cfd_hybrid_bd2_primary_step_orig </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__hybrid__bd2__solver.html#adfbc525b0079d4145a2167975bd67f0a">bd2_update_boundary_rho()</a>, <a class="el" href="namespacecfd__hybrid__bd2__solver.html#a793201ccc9574f53b918146c92e9265e">bd2_update_rho_fa_cd()</a>, <a class="el" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794">cfd_hybrid_solver_implicit::cfd_hybrid_solve_implicit()</a>, <a class="el" href="namespacecfd__hybrid__solver__implicit.html#ace2dcf395804f92362914e4318861ffc">cfd_hybrid_solver_implicit::cfd_hybrid_update_implicit()</a>, <a class="el" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba">get_buffers()</a>, <a class="el" href="namespacecfd__hybrid__implicit__work__data.html#a360d2d3db9ccea6e2376ac8ec5ba8ebc">cfd_hybrid_implicit_work_data::i_be</a>, <a class="el" href="namespacecfd__hybrid__implicit__work__data.html#a35e91bd6fdc0bb12d055c1fedbd59f93">cfd_hybrid_implicit_work_data::i_br</a>, and <a class="el" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99">return_buffers()</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_a8c3950bbc20cd1ab96be957d93c9cd7d_cgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_a8c3950bbc20cd1ab96be957d93c9cd7d_cgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_a8c3950bbc20cd1ab96be957d93c9cd7d_cgraph" id="namespacecfd__hybrid__bd2__solver_a8c3950bbc20cd1ab96be957d93c9cd7d_cgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__bd2__solver.html#adfbc525b0079d4145a2167975bd67f0a" title="cfd_hybrid_bd2_solver\l::bd2_update_boundary_rho" alt="" coords="222,45,405,86"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a793201ccc9574f53b918146c92e9265e" title="cfd_hybrid_bd2_solver\l::bd2_update_rho_fa_cd" alt="" coords="233,110,394,151"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__solver__implicit.html#a1e78d13b7af827752d149bd0660d0794" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit" alt="" coords="225,175,401,217"/>
<area shape="rect" id="node14" href="namespacecfd__hybrid__solver__implicit.html#ace2dcf395804f92362914e4318861ffc" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_update_implicit" alt="" coords="221,1094,405,1135"/>
<area shape="rect" id="node47" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba" title="get_buffers" alt="" coords="736,1893,823,1920"/>
<area shape="rect" id="node49" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99" title="return_buffers" alt="" coords="728,1944,831,1971"/>
<area shape="rect" id="node5" href="cfd__hybrid__solver__implicit_8f90.html#a171b2346b19e4458e60c79402c1cd5d8" title="init_gs" alt="" coords="522,65,582,92"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__solver__implicit.html#acc4086cbe0525167757828b3f8437d70" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_centerline" alt="" coords="466,117,638,158"/>
<area shape="rect" id="node7" href="cfd__hybrid__solver__implicit_8f90.html#a2ee1c09e20b105aac1822cda988da612" title="solver_gs_serial" alt="" coords="494,183,610,209"/>
<area shape="rect" id="node13" href="cfd__hybrid__solver__implicit_8f90.html#af8a3342955b3173937e9baf5e9e37a1e" title="destroy_gs" alt="" coords="509,15,595,41"/>
<area shape="rect" id="node8" href="cfd__hybrid__solver__implicit_8f90.html#aabc961af2b57c484d634067ef31cfc18" title="communicate_delta" alt="" coords="712,56,847,83"/>
<area shape="rect" id="node9" href="cfd__hybrid__solver__implicit_8f90.html#afebadf337634ed6bd8bf1b1a76b7f60f" title="line_bsolve_x" alt="" coords="729,107,830,133"/>
<area shape="rect" id="node10" href="cfd__hybrid__solver__implicit_8f90.html#a7bae9f2b011370bda5453278318f495c" title="line_bsolve_y" alt="" coords="729,157,830,184"/>
<area shape="rect" id="node11" href="cfd__hybrid__solver__implicit_8f90.html#adbe22a1a0fead2674bf3eec2cab89492" title="line_solve_serial_xp" alt="" coords="710,208,849,235"/>
<area shape="rect" id="node12" href="cfd__hybrid__solver__implicit_8f90.html#a006d6c8b9bc9954a0f6993d54048dfba" title="line_solve_serial_yp" alt="" coords="710,5,849,32"/>
<area shape="rect" id="node15" href="namespacecfd__hybrid__solver.html#ad32428e0a52a76e479779e2aac72074b" title="cfd_hybrid_solver::\lcfd_hybrid_weno3_flag_jumps" alt="" coords="453,1355,651,1397"/>
<area shape="rect" id="node24" href="namespacecfd__hybrid__solver__implicit.html#a7813d56e94e2eb4a1d239c7be1c1c5a8" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_allocate" alt="" coords="466,1126,638,1167"/>
<area shape="rect" id="node26" href="namespacecfd__hybrid__solver__implicit.html#a7fa1c194c4f21376773aa1db20706a8b" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_flux_coeff\l_implicit" alt="" coords="466,599,638,655"/>
<area shape="rect" id="node39" href="namespacecfd__hybrid__solver__implicit.html#a2bcdb58e0ea81887bc80400ce4501507" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_fv_implicit" alt="" coords="466,995,638,1037"/>
<area shape="rect" id="node41" href="namespacecfd__hybrid__solver__implicit.html#af185873a754d2bbd2fea0f2a46b57fdf" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_diff_implicit" alt="" coords="466,1061,638,1102"/>
<area shape="rect" id="node44" href="namespacecfd__hybrid__solver__implicit.html#a721ef67b97cc4ebaa68963f4fa3de3a6" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_u_implicit" alt="" coords="466,1701,638,1742"/>
<area shape="rect" id="node50" href="namespacecfd__hybrid__solver__implicit.html#a69ef2f250e79c2ff17a854bfa1bf2474" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_diagonal_implicit" alt="" coords="455,1421,649,1462"/>
<area shape="rect" id="node16" href="namespacecfd__hybrid__solver.html#a4145dd6ffc097e3821241b1d07f6b8a2" title="cfd_hybrid_solver::\lhybrid_weno3_init" alt="" coords="713,1282,845,1323"/>
<area shape="rect" id="node18" href="namespacescalar__hybrid__weno3__func.html#a2c989093650317e29ab48eff8cc5cba6" title="scalar_hybrid_weno3\l_func::scalar_update\l_minmax" alt="" coords="707,1348,851,1404"/>
<area shape="rect" id="node19" href="cfd__hybrid__solver_8f90.html#a050698298cdb8786291a539823b47a4f" title="weno_sc_x" alt="" coords="735,1428,823,1455"/>
<area shape="rect" id="node20" href="cfd__hybrid__solver_8f90.html#a3972ff43fdb72eba2ea1d6e3f7d926fd" title="weno_sc_y" alt="" coords="735,1479,823,1505"/>
<area shape="rect" id="node21" href="cfd__hybrid__solver_8f90.html#a24b9acaf95bfa7baf38fc5d1f3042e19" title="weno_sc_z" alt="" coords="735,1529,823,1556"/>
<area shape="rect" id="node22" href="cfd__hybrid__solver_8f90.html#a7149d7996d939ce0bb3b195dd012ee01" title="apply_bc_closeness" alt="" coords="709,1580,849,1607"/>
<area shape="rect" id="node23" href="namespacecfd__hybrid__solver.html#aabd2d79e7e98fcd633b154bcfcab34c3" title="cfd_hybrid_solver::\lhybrid_update_fa_list" alt="" coords="707,1217,852,1258"/>
<area shape="rect" id="node17" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f" title="link_metric_conv_simple\l::link_metric_conv_to" alt="" coords="908,1221,1073,1262"/>
<area shape="rect" id="node25" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="710,1085,849,1141"/>
<area shape="rect" id="node27" href="namespacefixed__matrix__vector__m.html#a1f006185dd8715dfcb200ce8323fb9ea" title="fixed_matrix_vector\l_m::get_dim_fmatrix" alt="" coords="709,817,850,858"/>
<area shape="rect" id="node28" href="cfd__hybrid__solver__implicit_8f90.html#a82a7d7de3dc50d5e24edb09e60e534bb" title="init_hybrid" alt="" coords="739,883,820,909"/>
<area shape="rect" id="node29" href="cfd__hybrid__solver__implicit_8f90.html#a2319669e864892bfb0592c2e93b4ed4e" title="flux_hybrid_x" alt="" coords="730,259,829,285"/>
<area shape="rect" id="node30" href="cfd__hybrid__solver__implicit_8f90.html#a62990e27bf03e1d77d1b298eb7ce8996" title="interp_rho_hybrid_x" alt="" coords="712,309,847,336"/>
<area shape="rect" id="node31" href="cfd__hybrid__solver__implicit_8f90.html#a46a6baf457c05dd2d32969ee8cb26a49" title="coeff_hybrid_x" alt="" coords="726,360,833,387"/>
<area shape="rect" id="node32" href="cfd__hybrid__solver__implicit_8f90.html#a9fb51fc39b3b2c4d5fa18eacc90c732a" title="flux_hybrid_y" alt="" coords="730,411,829,437"/>
<area shape="rect" id="node33" href="cfd__hybrid__solver__implicit_8f90.html#ac582a0b359bc802a48b1748c92a5501b" title="interp_rho_hybrid_y" alt="" coords="712,461,847,488"/>
<area shape="rect" id="node34" href="cfd__hybrid__solver__implicit_8f90.html#a9833a367d0ff08c746c801af1d9f4b40" title="coeff_hybrid_y" alt="" coords="726,512,833,539"/>
<area shape="rect" id="node35" href="cfd__hybrid__solver__implicit_8f90.html#ade4c6eadb328bfd9e5108fff2293551f" title="flux_hybrid_z" alt="" coords="730,563,829,589"/>
<area shape="rect" id="node36" href="cfd__hybrid__solver__implicit_8f90.html#a437d9b55ae334cb707f1f6bdad950be3" title="interp_rho_hybrid_z" alt="" coords="712,613,847,640"/>
<area shape="rect" id="node37" href="cfd__hybrid__solver__implicit_8f90.html#a026e4cff8a50144df3e9f548494a02cd" title="coeff_hybrid_z" alt="" coords="726,664,833,691"/>
<area shape="rect" id="node38" href="cfd__hybrid__solver__implicit_8f90.html#afb02eff6fce7a52e7f7ab59be9778a0c" title="destroy_hybrid" alt="" coords="726,715,833,741"/>
<area shape="rect" id="node40" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="731,933,827,960"/>
<area shape="rect" id="node42" href="cfd__hybrid__solver__implicit_8f90.html#acad790908bca1737e008fdc2ba286b6e" title="compute_diffusive_e" alt="" coords="708,1035,851,1061"/>
<area shape="rect" id="node43" href="cfd__hybrid__solver__implicit_8f90.html#acea1a6441771a27d91b3a42d110854e9" title="compute_diffusive" alt="" coords="715,984,843,1011"/>
<area shape="rect" id="node45" href="namespacelink__metric__visc__simple.html#a7299a3f3ff2abb97b265a9f834972522" title="link_metric_visc_simple\l::link_metric_visc_to" alt="" coords="699,1682,860,1723"/>
<area shape="rect" id="node46" href="namespacelink__velocity.html#a4a4407aff7523c4580b084bb3ea2be6f" title="link_velocity::link\l_velocity_to_vdf" alt="" coords="718,1747,841,1789"/>
<area shape="rect" id="node48" href="namespaceblock__implicit__func.html#a67c312a91b20e72c26f7dc172eeffc96" title="block_implicit_func\l::allocate_work_block\l_implicit" alt="" coords="705,1813,853,1869"/>
</map>
</div>

</div>
</div>
<a id="aa35645ce729243ae623b8b520fd48d1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa35645ce729243ae623b8b520fd48d1e">&#9670;&nbsp;</a></span>cfd_hybrid_bd2_scalar_step()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cfd_hybrid_bd2_solver::cfd_hybrid_bd2_scalar_step </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba">get_buffers()</a>, <a class="el" href="cfd__bd2__solver_8f90.html#ac6016193589f67c1641ae27f1d0cfdf9">residual_bd2()</a>, <a class="el" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99">return_buffers()</a>, and <a class="el" href="namespacecfd__eos__interface__data.html#a60b808438e677ee9a4bb1e0c2c7a33be">cfd_eos_interface_data::set_cfd_for_eos()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_aa35645ce729243ae623b8b520fd48d1e_cgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_aa35645ce729243ae623b8b520fd48d1e_cgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_aa35645ce729243ae623b8b520fd48d1e_cgraph" id="namespacecfd__hybrid__bd2__solver_aa35645ce729243ae623b8b520fd48d1e_cgraph">
<area shape="rect" id="node2" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba" title="get_buffers" alt="" coords="281,5,367,32"/>
<area shape="rect" id="node3" href="cfd__bd2__solver_8f90.html#ac6016193589f67c1641ae27f1d0cfdf9" title="residual_bd2" alt="" coords="277,56,371,83"/>
<area shape="rect" id="node4" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99" title="return_buffers" alt="" coords="273,107,375,133"/>
<area shape="rect" id="node5" href="namespacecfd__eos__interface__data.html#a60b808438e677ee9a4bb1e0c2c7a33be" title="cfd_eos_interface_data\l::set_cfd_for_eos" alt="" coords="245,158,403,199"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_aa35645ce729243ae623b8b520fd48d1e_icgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_aa35645ce729243ae623b8b520fd48d1e_icgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_aa35645ce729243ae623b8b520fd48d1e_icgraph" id="namespacecfd__hybrid__bd2__solver_aa35645ce729243ae623b8b520fd48d1e_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__bd2__solver.html#a1c596ba421c8dd4fafa9690f5e69d90b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step_orig" alt="" coords="245,5,424,47"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__bd2__solver.html#a928272bb28a6ca7d967568eaba49508b" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_step" alt="" coords="259,71,411,112"/>
</map>
</div>

</div>
</div>
<a id="a928272bb28a6ca7d967568eaba49508b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a928272bb28a6ca7d967568eaba49508b">&#9670;&nbsp;</a></span>cfd_hybrid_bd2_step()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_hybrid_bd2_solver::cfd_hybrid_bd2_step </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca">cfd_hybrid_bd2_primary_step()</a>, and <a class="el" href="namespacecfd__hybrid__bd2__solver.html#aa35645ce729243ae623b8b520fd48d1e">cfd_hybrid_bd2_scalar_step()</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_a928272bb28a6ca7d967568eaba49508b_cgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_a928272bb28a6ca7d967568eaba49508b_cgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_a928272bb28a6ca7d967568eaba49508b_cgraph" id="namespacecfd__hybrid__bd2__solver_a928272bb28a6ca7d967568eaba49508b_cgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="205,593,405,634"/>
<area shape="rect" id="node48" href="namespacecfd__hybrid__bd2__solver.html#aa35645ce729243ae623b8b520fd48d1e" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_scalar_step" alt="" coords="209,793,401,834"/>
<area shape="rect" id="node3" href="namespaceblock__implicit__func.html#a67c312a91b20e72c26f7dc172eeffc96" title="block_implicit_func\l::allocate_work_block\l_implicit" alt="" coords="475,117,623,173"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#adfbc525b0079d4145a2167975bd67f0a" title="cfd_hybrid_bd2_solver\l::bd2_update_boundary_rho" alt="" coords="457,277,640,318"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__bd2__solver.html#a793201ccc9574f53b918146c92e9265e" title="cfd_hybrid_bd2_solver\l::bd2_update_rho_fa_cd" alt="" coords="468,342,629,383"/>
<area shape="rect" id="node7" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="453,407,644,449"/>
<area shape="rect" id="node33" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159" title="block_implicit_func\l::deallocate_work_block\l_implicit" alt="" coords="467,585,630,641"/>
<area shape="rect" id="node35" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba" title="get_buffers" alt="" coords="505,800,592,827"/>
<area shape="rect" id="node36" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="463,683,634,725"/>
<area shape="rect" id="node47" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99" title="return_buffers" alt="" coords="497,749,600,776"/>
<area shape="rect" id="node4" href="namespacelink__work__block__implicit.html#a7bee1eb6fd59f7e68a06cd1ffc129081" title="link_work_block_implicit\l::link_work_block_implicit_to" alt="" coords="692,70,881,111"/>
<area shape="rect" id="node8" href="cfd__hybrid__solver__implicit_8f90.html#a171b2346b19e4458e60c79402c1cd5d8" title="init_gs" alt="" coords="757,491,817,517"/>
<area shape="rect" id="node9" href="cfd__hybrid__solver__implicit_8f90.html#affde5b65261c64a760751d39526b3fb4" title="solve_line_x" alt="" coords="739,237,834,264"/>
<area shape="rect" id="node14" href="cfd__hybrid__solver__implicit_8f90.html#a39086407b06925b1e730666577958f19" title="solve_line_y" alt="" coords="739,187,834,213"/>
<area shape="rect" id="node16" href="cfd__hybrid__solver__implicit_8f90.html#aa91da7e13abe6d27440e776c699cf674" title="solve_line_z" alt="" coords="739,339,834,365"/>
<area shape="rect" id="node18" href="cfd__hybrid__solver__implicit_8f90.html#ad817b72e81de173ef7827c34c56863ae" title="gs_line_x" alt="" coords="748,288,825,315"/>
<area shape="rect" id="node19" href="cfd__hybrid__solver__implicit_8f90.html#ad2c743506d005cdc17adadae5d47eff5" title="gs_line_y" alt="" coords="748,136,825,163"/>
<area shape="rect" id="node20" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="748,541,825,568"/>
<area shape="rect" id="node31" href="cfd__hybrid__solver__implicit_8f90.html#a5cb302d3c4bd1d29048a84bf7b5998c7" title="check_drho" alt="" coords="742,389,831,416"/>
<area shape="rect" id="node32" href="cfd__hybrid__solver__implicit_8f90.html#af8a3342955b3173937e9baf5e9e37a1e" title="destroy_gs" alt="" coords="743,440,830,467"/>
<area shape="rect" id="node10" href="cfd__hybrid__solver__implicit_8f90.html#a2e0c27b54f44ce02003e09b5aa4c8654" title="line_bsolve_serial_x" alt="" coords="953,309,1092,336"/>
<area shape="rect" id="node11" href="namespaceblock__pentadiagonal__m.html#ad815079047a1e13dcb2030d92e1f6ef6" title="block_pentadiagonal\l_m::block_pentadiagonal\l_serial_vs" alt="" coords="1164,245,1331,301"/>
<area shape="rect" id="node12" href="namespaceblock__polydiagonal__m.html#ad5742b360a172a2f2d02357c5ea519a0" title="block_polydiagonal\l_m::block_polydiagonal\l_serial_vs" alt="" coords="1168,407,1327,463"/>
<area shape="rect" id="node13" href="namespaceblock__tridiagonal__m.html#ab941c7fef888b52d52f80f53a67da6ca" title="block_tridiagonal_m\l::block_tridiagonal\l_serial_vs" alt="" coords="1179,327,1316,383"/>
<area shape="rect" id="node15" href="cfd__hybrid__solver__implicit_8f90.html#a918e6759fc23ccf7c94c1300a97990c2" title="line_bsolve_serial_y" alt="" coords="953,259,1092,285"/>
<area shape="rect" id="node17" href="cfd__hybrid__solver__implicit_8f90.html#abc041eda05ca2981ed395fdc3df795c7" title="line_bsolve_serial_z" alt="" coords="953,360,1092,387"/>
<area shape="rect" id="node21" href="namespaceblock__pentadiagonal__m.html#aa8286a7f1716f038368a07fc7861d7b3" title="block_pentadiagonal\l_m::block_pentadiagonal_vs" alt="" coords="929,142,1116,183"/>
<area shape="rect" id="node25" href="namespaceblock__polydiagonal__m.html#af315d4358c37b09d60df0a87a0d82a33" title="block_polydiagonal\l_m::block_polydiagonal_vs" alt="" coords="933,513,1112,554"/>
<area shape="rect" id="node27" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8" title="block_tridiagonal_m\l::block_tridiagonal_vs" alt="" coords="949,578,1097,619"/>
<area shape="rect" id="node22" href="namespaceblock__pentadiagonal__m.html#a81b86cd61a47d1eda056e526698717c4" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vs" alt="" coords="1164,85,1331,141"/>
<area shape="rect" id="node23" href="namespaceblock__polydiagonal__m.html#af9ebc00957750052c43f1b4186e37ca6" title="block_polydiagonal\l_m::block_polydiagonal\l_periodic_serial_vv" alt="" coords="1168,165,1327,221"/>
<area shape="rect" id="node24" href="namespaceblock__polydiagonal__m.html#aeebe8432f75116e1952dda55b6f41404" title="block_polydiagonal\l_m::block_polydiagonal\l_serial_vv" alt="" coords="1168,5,1327,61"/>
<area shape="rect" id="node26" href="namespaceblock__polydiagonal__m.html#af50b88361e312e37f21b20990edf69d2" title="block_polydiagonal\l_m::block_polydiagonal\l_periodic_serial_vs" alt="" coords="1168,489,1327,545"/>
<area shape="rect" id="node28" href="namespaceblock__pentadiagonal__m.html#a8357a989c5be6d85f893a628f5c8d4ff" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vv" alt="" coords="1164,569,1331,625"/>
<area shape="rect" id="node29" href="namespaceblock__pentadiagonal__m.html#a78b8db770ad28fe54e5fdfbe76b54df6" title="block_pentadiagonal\l_m::block_pentadiagonal\l_serial_vv" alt="" coords="1164,649,1331,705"/>
<area shape="rect" id="node30" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72" title="block_tridiagonal_m\l::block_tridiagonal\l_periodic_serial_vs" alt="" coords="1179,729,1316,785"/>
<area shape="rect" id="node34" href="namespacelink__work__block__implicit.html#aa879799faf89c8a8864d92dbccbad104" title="link_work_block_implicit\l::unlink_work_block_implicit" alt="" coords="694,593,879,634"/>
<area shape="rect" id="node37" href="cfd__gmg__func_8f90.html#a2f86d9745977d29f04aad43aaa0b8430" title="build_for_others" alt="" coords="729,932,844,959"/>
<area shape="rect" id="node39" href="cfd__gmg__func_8f90.html#a2ca955e2f1e1a11e6c18903187a8af2b" title="build_for_rho" alt="" coords="739,659,835,685"/>
<area shape="rect" id="node40" href="cfd__gmg__func_8f90.html#aa7ebaeaa1f05e4ca63c8e36033996c82" title="enforce_neumann_implicit" alt="" coords="700,709,873,736"/>
<area shape="rect" id="node41" href="namespacecfd__gmg__func.html#a72f8f8ba3360ffa1ff2e6fc541efb4ad" title="cfd_gmg_func::gmg_upwind\l_weight" alt="" coords="694,761,879,802"/>
<area shape="rect" id="node43" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="739,827,835,853"/>
<area shape="rect" id="node45" href="cfd__gmg__func_8f90.html#a090278fcfa3fdab41067a3b76883f312" title="rhs_for_all" alt="" coords="745,881,828,908"/>
<area shape="rect" id="node38" href="cfd__gmg__func_8f90.html#af20c6dfa2ef418e1673e86d1c74f9528" title="build_conv_coeff" alt="" coords="963,933,1083,960"/>
<area shape="rect" id="node42" href="cfd__gmg__func_8f90.html#a67ca981526267c943654f1aea1e5dc42" title="upwind_weight_min" alt="" coords="955,765,1091,792"/>
<area shape="rect" id="node44" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="957,817,1088,858"/>
<area shape="rect" id="node46" href="cfd__gmg__func_8f90.html#a3c10a403fd43c54521d59917f8e42d96" title="rhs_x_from_conv_diff" alt="" coords="949,883,1096,909"/>
<area shape="rect" id="node49" href="cfd__bd2__solver_8f90.html#ac6016193589f67c1641ae27f1d0cfdf9" title="residual_bd2" alt="" coords="501,851,596,877"/>
<area shape="rect" id="node50" href="namespacecfd__eos__interface__data.html#a60b808438e677ee9a4bb1e0c2c7a33be" title="cfd_eos_interface_data\l::set_cfd_for_eos" alt="" coords="470,902,627,943"/>
</map>
</div>

</div>
</div>
<a id="a1c596ba421c8dd4fafa9690f5e69d90b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c596ba421c8dd4fafa9690f5e69d90b">&#9670;&nbsp;</a></span>cfd_hybrid_bd2_step_orig()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cfd_hybrid_bd2_solver::cfd_hybrid_bd2_step_orig </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca">cfd_hybrid_bd2_primary_step()</a>, and <a class="el" href="namespacecfd__hybrid__bd2__solver.html#aa35645ce729243ae623b8b520fd48d1e">cfd_hybrid_bd2_scalar_step()</a>.</p>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_a1c596ba421c8dd4fafa9690f5e69d90b_cgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_a1c596ba421c8dd4fafa9690f5e69d90b_cgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_a1c596ba421c8dd4fafa9690f5e69d90b_cgraph" id="namespacecfd__hybrid__bd2__solver_a1c596ba421c8dd4fafa9690f5e69d90b_cgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__bd2__solver.html#a130b54d926c5d8c398f31b265da5cbca" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_primary_step" alt="" coords="232,593,432,634"/>
<area shape="rect" id="node48" href="namespacecfd__hybrid__bd2__solver.html#aa35645ce729243ae623b8b520fd48d1e" title="cfd_hybrid_bd2_solver\l::cfd_hybrid_bd2_scalar_step" alt="" coords="236,793,428,834"/>
<area shape="rect" id="node3" href="namespaceblock__implicit__func.html#a67c312a91b20e72c26f7dc172eeffc96" title="block_implicit_func\l::allocate_work_block\l_implicit" alt="" coords="501,117,649,173"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__bd2__solver.html#adfbc525b0079d4145a2167975bd67f0a" title="cfd_hybrid_bd2_solver\l::bd2_update_boundary_rho" alt="" coords="484,277,667,318"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__bd2__solver.html#a793201ccc9574f53b918146c92e9265e" title="cfd_hybrid_bd2_solver\l::bd2_update_rho_fa_cd" alt="" coords="495,342,656,383"/>
<area shape="rect" id="node7" href="namespacecfd__hybrid__solver__implicit.html#a4d69fb31eb25bdeb9236b77a35a8b079" title="cfd_hybrid_solver_implicit\l::cfd_hybrid_solve_implicit_c" alt="" coords="480,407,671,449"/>
<area shape="rect" id="node33" href="namespaceblock__implicit__func.html#a5deec51828d2554a5365f6d4c0685159" title="block_implicit_func\l::deallocate_work_block\l_implicit" alt="" coords="494,585,657,641"/>
<area shape="rect" id="node35" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba" title="get_buffers" alt="" coords="532,800,619,827"/>
<area shape="rect" id="node36" href="namespacecfd__gmg__func.html#abbe21f336ea4b0fbacb1fcd9ddab0f21" title="cfd_gmg_func::gmg_build\l_matrix" alt="" coords="490,683,661,725"/>
<area shape="rect" id="node47" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99" title="return_buffers" alt="" coords="524,749,627,776"/>
<area shape="rect" id="node4" href="namespacelink__work__block__implicit.html#a7bee1eb6fd59f7e68a06cd1ffc129081" title="link_work_block_implicit\l::link_work_block_implicit_to" alt="" coords="719,70,908,111"/>
<area shape="rect" id="node8" href="cfd__hybrid__solver__implicit_8f90.html#a171b2346b19e4458e60c79402c1cd5d8" title="init_gs" alt="" coords="783,491,843,517"/>
<area shape="rect" id="node9" href="cfd__hybrid__solver__implicit_8f90.html#affde5b65261c64a760751d39526b3fb4" title="solve_line_x" alt="" coords="766,237,861,264"/>
<area shape="rect" id="node14" href="cfd__hybrid__solver__implicit_8f90.html#a39086407b06925b1e730666577958f19" title="solve_line_y" alt="" coords="766,187,861,213"/>
<area shape="rect" id="node16" href="cfd__hybrid__solver__implicit_8f90.html#aa91da7e13abe6d27440e776c699cf674" title="solve_line_z" alt="" coords="766,339,861,365"/>
<area shape="rect" id="node18" href="cfd__hybrid__solver__implicit_8f90.html#ad817b72e81de173ef7827c34c56863ae" title="gs_line_x" alt="" coords="775,288,852,315"/>
<area shape="rect" id="node19" href="cfd__hybrid__solver__implicit_8f90.html#ad2c743506d005cdc17adadae5d47eff5" title="gs_line_y" alt="" coords="775,136,852,163"/>
<area shape="rect" id="node20" href="cfd__hybrid__solver__implicit_8f90.html#a9ee861f69b837ebdf3dd7ff19a4de07f" title="gs_line_z" alt="" coords="775,541,852,568"/>
<area shape="rect" id="node31" href="cfd__hybrid__solver__implicit_8f90.html#a5cb302d3c4bd1d29048a84bf7b5998c7" title="check_drho" alt="" coords="769,389,858,416"/>
<area shape="rect" id="node32" href="cfd__hybrid__solver__implicit_8f90.html#af8a3342955b3173937e9baf5e9e37a1e" title="destroy_gs" alt="" coords="770,440,857,467"/>
<area shape="rect" id="node10" href="cfd__hybrid__solver__implicit_8f90.html#a2e0c27b54f44ce02003e09b5aa4c8654" title="line_bsolve_serial_x" alt="" coords="980,309,1119,336"/>
<area shape="rect" id="node11" href="namespaceblock__pentadiagonal__m.html#ad815079047a1e13dcb2030d92e1f6ef6" title="block_pentadiagonal\l_m::block_pentadiagonal\l_serial_vs" alt="" coords="1191,245,1357,301"/>
<area shape="rect" id="node12" href="namespaceblock__polydiagonal__m.html#ad5742b360a172a2f2d02357c5ea519a0" title="block_polydiagonal\l_m::block_polydiagonal\l_serial_vs" alt="" coords="1195,407,1353,463"/>
<area shape="rect" id="node13" href="namespaceblock__tridiagonal__m.html#ab941c7fef888b52d52f80f53a67da6ca" title="block_tridiagonal_m\l::block_tridiagonal\l_serial_vs" alt="" coords="1205,327,1343,383"/>
<area shape="rect" id="node15" href="cfd__hybrid__solver__implicit_8f90.html#a918e6759fc23ccf7c94c1300a97990c2" title="line_bsolve_serial_y" alt="" coords="980,259,1119,285"/>
<area shape="rect" id="node17" href="cfd__hybrid__solver__implicit_8f90.html#abc041eda05ca2981ed395fdc3df795c7" title="line_bsolve_serial_z" alt="" coords="980,360,1119,387"/>
<area shape="rect" id="node21" href="namespaceblock__pentadiagonal__m.html#aa8286a7f1716f038368a07fc7861d7b3" title="block_pentadiagonal\l_m::block_pentadiagonal_vs" alt="" coords="956,142,1143,183"/>
<area shape="rect" id="node25" href="namespaceblock__polydiagonal__m.html#af315d4358c37b09d60df0a87a0d82a33" title="block_polydiagonal\l_m::block_polydiagonal_vs" alt="" coords="960,513,1139,554"/>
<area shape="rect" id="node27" href="namespaceblock__tridiagonal__m.html#a47a93fd632212a1559bd7c864ac712f8" title="block_tridiagonal_m\l::block_tridiagonal_vs" alt="" coords="975,578,1123,619"/>
<area shape="rect" id="node22" href="namespaceblock__pentadiagonal__m.html#a81b86cd61a47d1eda056e526698717c4" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vs" alt="" coords="1191,85,1357,141"/>
<area shape="rect" id="node23" href="namespaceblock__polydiagonal__m.html#af9ebc00957750052c43f1b4186e37ca6" title="block_polydiagonal\l_m::block_polydiagonal\l_periodic_serial_vv" alt="" coords="1195,165,1353,221"/>
<area shape="rect" id="node24" href="namespaceblock__polydiagonal__m.html#aeebe8432f75116e1952dda55b6f41404" title="block_polydiagonal\l_m::block_polydiagonal\l_serial_vv" alt="" coords="1195,5,1353,61"/>
<area shape="rect" id="node26" href="namespaceblock__polydiagonal__m.html#af50b88361e312e37f21b20990edf69d2" title="block_polydiagonal\l_m::block_polydiagonal\l_periodic_serial_vs" alt="" coords="1195,489,1353,545"/>
<area shape="rect" id="node28" href="namespaceblock__pentadiagonal__m.html#a8357a989c5be6d85f893a628f5c8d4ff" title="block_pentadiagonal\l_m::block_pentadiagonal\l_periodic_serial_vv" alt="" coords="1191,569,1357,625"/>
<area shape="rect" id="node29" href="namespaceblock__pentadiagonal__m.html#a78b8db770ad28fe54e5fdfbe76b54df6" title="block_pentadiagonal\l_m::block_pentadiagonal\l_serial_vv" alt="" coords="1191,649,1357,705"/>
<area shape="rect" id="node30" href="namespaceblock__tridiagonal__m.html#a99bf57ca775806e7eba043ad6be71d72" title="block_tridiagonal_m\l::block_tridiagonal\l_periodic_serial_vs" alt="" coords="1205,729,1343,785"/>
<area shape="rect" id="node34" href="namespacelink__work__block__implicit.html#aa879799faf89c8a8864d92dbccbad104" title="link_work_block_implicit\l::unlink_work_block_implicit" alt="" coords="721,593,906,634"/>
<area shape="rect" id="node37" href="cfd__gmg__func_8f90.html#a2f86d9745977d29f04aad43aaa0b8430" title="build_for_others" alt="" coords="756,932,871,959"/>
<area shape="rect" id="node39" href="cfd__gmg__func_8f90.html#a2ca955e2f1e1a11e6c18903187a8af2b" title="build_for_rho" alt="" coords="765,659,861,685"/>
<area shape="rect" id="node40" href="cfd__gmg__func_8f90.html#aa7ebaeaa1f05e4ca63c8e36033996c82" title="enforce_neumann_implicit" alt="" coords="727,709,900,736"/>
<area shape="rect" id="node41" href="namespacecfd__gmg__func.html#a72f8f8ba3360ffa1ff2e6fc541efb4ad" title="cfd_gmg_func::gmg_upwind\l_weight" alt="" coords="721,761,906,802"/>
<area shape="rect" id="node43" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="765,827,861,853"/>
<area shape="rect" id="node45" href="cfd__gmg__func_8f90.html#a090278fcfa3fdab41067a3b76883f312" title="rhs_for_all" alt="" coords="772,881,855,908"/>
<area shape="rect" id="node38" href="cfd__gmg__func_8f90.html#af20c6dfa2ef418e1673e86d1c74f9528" title="build_conv_coeff" alt="" coords="989,933,1109,960"/>
<area shape="rect" id="node42" href="cfd__gmg__func_8f90.html#a67ca981526267c943654f1aea1e5dc42" title="upwind_weight_min" alt="" coords="981,765,1117,792"/>
<area shape="rect" id="node44" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="984,817,1115,858"/>
<area shape="rect" id="node46" href="cfd__gmg__func_8f90.html#a3c10a403fd43c54521d59917f8e42d96" title="rhs_x_from_conv_diff" alt="" coords="976,883,1123,909"/>
<area shape="rect" id="node49" href="cfd__bd2__solver_8f90.html#ac6016193589f67c1641ae27f1d0cfdf9" title="residual_bd2" alt="" coords="528,851,623,877"/>
<area shape="rect" id="node50" href="namespacecfd__eos__interface__data.html#a60b808438e677ee9a4bb1e0c2c7a33be" title="cfd_eos_interface_data\l::set_cfd_for_eos" alt="" coords="497,902,654,943"/>
</map>
</div>

</div>
</div>
<a id="aadb9bfa839af0c0980bb585b2588680c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadb9bfa839af0c0980bb585b2588680c">&#9670;&nbsp;</a></span>cfd_hybrid_bd2_update_mid_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_hybrid_bd2_solver::cfd_hybrid_bd2_update_mid_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__bd2__solver.html#af2ef9502ce05f7bc9b54a16503aa206a">cfd_bd2_solver::cfd_bd2_update_mid_bc()</a>.</p>
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__hybrid__bd2__solver_aadb9bfa839af0c0980bb585b2588680c_cgraph.png" border="0" usemap="#namespacecfd__hybrid__bd2__solver_aadb9bfa839af0c0980bb585b2588680c_cgraph" alt=""/></div>
<map name="namespacecfd__hybrid__bd2__solver_aadb9bfa839af0c0980bb585b2588680c_cgraph" id="namespacecfd__hybrid__bd2__solver_aadb9bfa839af0c0980bb585b2588680c_cgraph">
<area shape="rect" id="node2" href="namespacecfd__bd2__solver.html#af2ef9502ce05f7bc9b54a16503aa206a" title="cfd_bd2_solver::cfd\l_bd2_update_mid_bc" alt="" coords="217,477,363,519"/>
<area shape="rect" id="node3" href="namespacecfd__cn__nscbc__m.html#a4c8c89932f4bd6ecc246fffb0c1607dc" title="cfd_cn_nscbc_m::cfd\l_cn_nscbc" alt="" coords="414,697,561,739"/>
<area shape="rect" id="node34" href="namespacecfd__solver__shared.html#a0b40454a80e6227b230b7b0474cc6991" title="cfd_solver_shared::\lcfd_update_energy_bc" alt="" coords="411,224,564,265"/>
<area shape="rect" id="node4" href="namespacenscbc__shared__m.html#a42a5771a20d235c893d7055f6ea5f9f5" title="nscbc_shared_m::build\l_face_div" alt="" coords="632,964,788,1005"/>
<area shape="rect" id="node5" href="namespacecfd__cn__nscbc__m.html#aa70e9e05ee2dda56865dfe17af3cda72" title="cfd_cn_nscbc_m::cn\l_nscbc_inlet_outlet" alt="" coords="639,519,781,560"/>
<area shape="rect" id="node19" href="namespacenscbc__shared__alt__m.html#a23e054e176988ccc4fee88620e89b61a" title="nscbc_shared_alt_m\l::compute_dudx_alt" alt="" coords="639,731,781,772"/>
<area shape="rect" id="node20" href="namespacenscbc__shared__alt__m.html#a5d50669250c199d441899de526e526ef" title="nscbc_shared_alt_m\l::compute_rhop_gradient_alt" alt="" coords="617,796,803,837"/>
<area shape="rect" id="node22" href="namespacenscbc__shared__m.html#a997ce16082293cbfe47f02ad54c6955c" title="nscbc_shared_m::compute_ui" alt="" coords="612,862,808,889"/>
<area shape="rect" id="node24" href="namespacenscbc__shared__m.html#a650a079baa13bb075c4a0f9a201ed72f" title="nscbc_shared_m::nscbc\l_get_buffers" alt="" coords="628,1029,792,1071"/>
<area shape="rect" id="node25" href="namespacenscbc__shared__m.html#ae69b954bee6459e80309542b8e957a31" title="nscbc_shared_m::nscbc\l_return_buffers" alt="" coords="628,453,792,495"/>
<area shape="rect" id="node26" href="namespacenscbc__shared__m.html#a0be6a51868ec605b0e1b8e962b2df1c3" title="nscbc_shared_m::nscbc\l_update_n_boundary" alt="" coords="628,665,792,707"/>
<area shape="rect" id="node28" href="namespacenscbc__shared__alt__m.html#ac8265d453827334c4624f935cde17ba2" title="nscbc_shared_alt_m\l::set_flag_for_nscbc\l_cvs_alt" alt="" coords="639,585,781,641"/>
<area shape="rect" id="node29" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="1576,363,1708,404"/>
<area shape="rect" id="node33" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="1560,443,1724,470"/>
<area shape="rect" id="node6" href="cfd__cn__nscbc__m_8f90.html#ad163a5b5fece764d039951594e69f5ea" title="inlet_nscbc" alt="" coords="907,518,995,545"/>
<area shape="rect" id="node11" href="cfd__cn__nscbc__m_8f90.html#a8a741e77f0984d2d617788701755dea0" title="outlet_nscbc" alt="" coords="903,629,999,655"/>
<area shape="rect" id="node18" href="cfd__cn__nscbc__m_8f90.html#ae92bff1d682ff6d8c4f31ed88e359e1a" title="outlet_scalar_cbc" alt="" coords="889,679,1013,706"/>
<area shape="rect" id="node7" href="cfd__cn__nscbc__m_8f90.html#a3281905f27aa52f99a31824ba17995d2" title="inlet_ued_nscbc" alt="" coords="1128,509,1244,535"/>
<area shape="rect" id="node9" href="namespacenscbc__shared__m.html#a921519747b35733f64e288d4dde8dc3f" title="nscbc_shared_m::nscbc\l_limit_diff" alt="" coords="1104,560,1268,601"/>
<area shape="rect" id="node10" href="namespacenscbc__shared__m.html#af13065118be32300af9a5f83e2a35d3b" title="nscbc_shared_m::nscbc\l_update_options_inlet" alt="" coords="1104,443,1268,484"/>
<area shape="rect" id="node8" href="namespacenscbc__shared__m.html#a95d11f846cd8ff7c553dca7a9e8ef63d" title="nscbc_shared_m::compute\l_p_gradient_fa" alt="" coords="1325,679,1504,720"/>
<area shape="rect" id="node12" href="namespacenscbc__shared__m.html#ada8e43c347b01748f26f9d679f889081" title="nscbc_shared_m::boundary\l_interp_pinf" alt="" coords="1095,625,1277,667"/>
<area shape="rect" id="node14" href="namespacenscbc__shared__m.html#a36a5608ef687bd572399c7d1c6f671c4" title="nscbc_shared_m::nscbc\l_update_options_outlet" alt="" coords="1104,743,1268,784"/>
<area shape="rect" id="node15" href="cfd__cn__nscbc__m_8f90.html#a7077c1e855f673775879a3120de17537" title="outlet_ued_cbc" alt="" coords="1131,809,1241,835"/>
<area shape="rect" id="node17" href="cfd__cn__nscbc__m_8f90.html#a7398b755d515885758be6de42388f889" title="outlet_ued_nscbc" alt="" coords="1124,691,1248,718"/>
<area shape="rect" id="node13" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1367,622,1463,649"/>
<area shape="rect" id="node16" href="namespacenscbc__shared__m.html#a6f4b7443bcccd1fba26726e230c2ba21" title="nscbc_shared_m::update\l_convective_u_cbc" alt="" coords="1331,824,1499,865"/>
<area shape="rect" id="node21" href="namespacenscbc__shared__alt__m.html#a57c04a7507c9900cefb320cdbb3f2134" title="nscbc_shared_alt_m\l::set_fa_flag_for_gradient_alt" alt="" coords="856,796,1047,837"/>
<area shape="rect" id="node23" href="tools_2sd2plot_2sd2plot_8f90.html#ae6f662261894a85f67c12ba16d05f7d1" title="interpolate_ui" alt="" coords="902,862,1001,889"/>
<area shape="rect" id="node27" href="namespacenscbc__defs.html#a5ebf0fd4ff65f87cdd6c3a2be9e2059b" title="nscbc_defs::set_default\l_nscbc" alt="" coords="871,731,1032,772"/>
<area shape="rect" id="node30" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="1780,407,1912,448"/>
<area shape="rect" id="node31" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="1960,414,1999,441"/>
<area shape="rect" id="node32" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="2047,414,2200,441"/>
<area shape="rect" id="node35" href="arts__cf__molecular__eos_8f90.html#a97ebccf47df2bff1f1981cc8f991f4ef" title="eos_t_bc_from_p" alt="" coords="649,231,771,258"/>
<area shape="rect" id="node36" href="arts__cf__molecular__eos_8f90.html#af020c5e5edbeee3fbb278f32c18950f7" title="eos_t_bc_from_e" alt="" coords="649,181,771,207"/>
<area shape="rect" id="node46" href="arts__cf__molecular__eos_8f90.html#a276681f36ff61c6e840cb949f345f77a" title="eos_p_bc_from_t" alt="" coords="649,130,771,157"/>
<area shape="rect" id="node47" href="arts__cf__molecular__eos_8f90.html#a8ada1f2024ccce8aa4c3293e8569487a" title="eos_e_bc_from_t" alt="" coords="890,282,1013,309"/>
<area shape="rect" id="node37" href="namespacearts__cf__molecular__eos.html#a7c5e34cbe96c59e9e8b7c456c2950321" title="arts_cf_molecular_eos\l::arts_cf_t_bc_from_e" alt="" coords="875,195,1028,236"/>
<area shape="rect" id="node38" href="namespacecfd__molecular__nasa.html#a8c6b44dc6d9960b5550e8a8c84526ee3" title="cfd_molecular_nasa\l::cfd_nasa_t_bc_from_e" alt="" coords="1105,312,1267,353"/>
<area shape="rect" id="node40" href="namespacemolecular__eos__cold__m.html#a3ad825cb51a69671e56e7dcf79be8d20" title="molecular_eos_cold\l_m::cfd_t_bc_from_e_cold" alt="" coords="1327,195,1503,236"/>
<area shape="rect" id="node39" href="namespacethf__arts__cf.html#af835c89498aaeb7f677a956ba6b4af22" title="compute temperature BC from energy variable ! " alt="" coords="1345,363,1485,404"/>
<area shape="rect" id="node41" href="namespacemolecular__eos__ideal__m.html#af563290b47e19cadd3bd64ed370d12d2" title="molecular_eos_ideal\l_m::cfd_t_bc_from_e_ideal" alt="" coords="1553,71,1731,112"/>
<area shape="rect" id="node42" href="namespacemolecular__eos__liquid__cc__m.html#a1a4f0650df0b210eb3d4f1ed1676e047" title="molecular_eos_liquid\l_cc_m::cfd_t_bc_from\l_e_liquid_cc" alt="" coords="1566,137,1718,193"/>
<area shape="rect" id="node43" href="namespacemolecular__eos__liquid__cav__m.html#a14bb601a9d0269833e6a08ff327ff2a6" title="molecular_eos_liquid\l_cav_m::cfd_t_bc_from\l_e_liquid_cav" alt="" coords="1563,217,1721,273"/>
<area shape="rect" id="node44" href="namespacemolecular__eos__stiff__m.html#a047c115b8d8727595b7424d5607bd640" title="molecular_eos_stiff\l_m::cfd_t_bc_from_e_stiff" alt="" coords="1555,297,1729,339"/>
<area shape="rect" id="node45" href="namespacemolecular__eos__hook__m.html#ac7445d75d266b94cd0dd6a337a19e8e9" title="molecular_eos_hook\l_m::cfd_t_bc_from_e_hook" alt="" coords="1552,5,1732,47"/>
<area shape="rect" id="node48" href="namespacearts__cf__molecular__eos.html#a5fb4b1b0efd6bfc12931c35f7c4de014" title="arts_cf_molecular_eos\l::arts_cf_e_bc_from_t" alt="" coords="1109,377,1263,419"/>
<area shape="rect" id="node49" href="namespacemolecular__eos__cold__m.html#a40cfd46ab28f3023dcbca949fc766104" title="molecular_eos_cold\l_m::cfd_e_bc_from_t_cold" alt="" coords="1327,480,1503,521"/>
<area shape="rect" id="node50" href="namespacecfd__molecular__nasa.html#a909ea171293ef187d808f6893aafd9b9" title="cfd_molecular_nasa\l::cfd_nasa_e_bc_from_t" alt="" coords="1333,545,1496,587"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
